Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024879RunnerHTML5Public2016-12-09 14:412017-07-24 14:14
Reporterzen 
Assigned ToFritz 
PriorityVery HighSeverityB - MajorReproducibility100%
StatusClosedResolutionFixed 
PlatformHTML5OSAndroidOS Version
Summary0024879: HTML5: Audio issue in HTML5 on Android devices
DescriptionThis bug happens on Chrome using Android (and maybe other devices). There was no issue until GM 1.4.1749 and it seems to have been introduced as of EA 1.99.505. Sum up of this bug :
1- The game starts and the room has an object that auto plays a sound (loop) marked as "uncompressed".
2- If another sound marked as "uncompressed" is played, the first sound will stop playing without any reason.

User believe that this issue is due to the AudioContext.disconnect() function that is triggered when the user touches the canvas for the first time (touchend).
In 1.4.1749, the function was written like that: ".disconnect;", which is actually incorrect.
It has been fixed in the latter version : ".disconnect();" but this is what caused the sounds to be stopped/paused. Solution was to remove this disconnect();
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/114345 [^]
1.4 Version
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon testsDemo.gmz [^] (302,872 bytes) 2016-12-09 14:43

- Relationships

-  Notes
(0051919)
Ross Manthorp (Administrator)
2017-03-02 15:38

Verified. Closed.
(0052070)
Daniel Cleaton (Administrator)
2017-03-07 16:40

Getting multiple reports that this still occurs in pre-release EA530, so reopening.
(0052158)
Fritz (Developer)
2017-03-14 16:12

Fixed in red
(0054489)
Sam Cumming (Administrator)
2017-07-24 14:14

Verified > 1.4.1767 - Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker